
  data= xlsread('inputsheet .xlsx','GreenAmpt');
n=size(data); % imports the input parameters from the excel-sheet 
    n=n(1);
    t=data(1:n-1,10);% stores the values as variables 
    I=data(1:n-1,11);
    w=data(1:n-1,12);
    deltat=data(1:n-1,13);
    arealtak= data(1,14);
    antalllop=data(1,15);
    Lengde=data(1,16);
    Bredde=data(1,17);
    Volumtak=data(1,18);
    nyw=data(1:n-1,19);
    
    jordtype=1;
    ksat=data(1:jordtype,1);
    por=data(1:jordtype,2);
   
    yf=data(1:jordtype,3);
    ya=data(1:jordtype,4);
    b=data(1:jordtype,5);
    ofc=data(1:jordtype,6);
    P=data(1:jordtype,7);
l=[ ksat por yf ya b ofc P];

tables = {};
infiltrations = zeros(size(l,1),1);
runoffs = zeros(size(l,1),1);
rains = zeros(size(l,1),1);
for j=1:size(l,1) 
   
    ksat(j)= l(j,1);
   
    por(j)=l(j,2);
    yf(j)=l(j,3);
    ya(j)=l(j,4);
    b(j)=l(j,5);
    ofc(j)=l(j,6);
    P(j)=l(j,7);
  
m=[t I nyw deltat];% establishing table m 

    for i=5:15
    m(:,i)=zeros;
    end




for i=1:size(m,1)% follows the corresponding flowsheet 
    m(1,5)=0;
    m(1,6)=Inf;
    m(1,1)=0;
    
    
    if i>1
        m(i,5)=m(i-1,12);
    end
   if i>1
       m(i,6)=ksat(j)*(1+P(j)/m(i,5));
   end
    
    if m(i,6)< m(i,3)
        m(i,9)=m(i,5);
        m(i,10)=0;
        m(i,11)=m(i,1);
        m(i,13)=0;
        
        syms f(x)
        ln=@log;
        m(i,13)=0;
        f(x)=m(i,13)==((m(i,1)+m(i,4))-m(i,11))-((x-m(i,9))/ksat(j))-(P(j)/ksat(j))*ln((m(i,9)+P(j))/(x+P(j)));
        sol=vpasolve(f,x,[0 inf]);
        m(i,12)=sol;
     
    else
            m(i,7)=m(i,5)+ (m(i,4)*m(i,3));

           m(i,8)=ksat(j)*(1+(P(j)/m(i,7)));
       
        
        if m(i,8)> m(i,3)
            m(i,12)=m(i,7);
           
            
        else 

         
            m(i,9)=(ksat(j)*P(j))/(m(i,3)-ksat(j));
            m(i,10)=(m(i,9)-m(i,5))/m(i,3);
            m(i,11)=m(i,1)+m(i,10);
         
            syms f(x)
            ln=@log;
            m(i,13)=0;
            f(x)=m(i,13)==((m(i,1)+m(i,4))-m(i,11))-((x-m(i,9))/ksat(j))-(P(j)/ksat(j))*ln((m(i,9)+P(j))/(x+P(j)));
            sol=vpasolve(f,x,[0 inf]);
            m(i,12)=sol;

            
        end
    end
    m(i,14)=m(i,12)-m(i,5);
    m(i,15)=(m(i,4)*m(i,3))-m(i,14);
    m(i+1,1)=m(i,1)+m(i,4);


end

figure

infcap=m(:,6);
infiltration=m(:,14);
runoff=m(:,15);
rain=m(:,2);
time=m(:,1);
plot(time,infcap,'color','b')
xlabel ('time(h)')
ylabel ('cm/h')

figure
plot(time,runoff,'color','r')
hold on;
plot(time,infiltration,'color','g')
xlabel('time(h)')
ylabel('cm/h')

tables{j} = m;
infiltrations(j) = sum(infiltration);
runoffs(j) = sum(runoff);
rains(j) = sum(rain);
end

A=[rains infiltrations runoffs];
disp(A)

disp(m)

