data= xlsread('inputsheet .xlsx','Philip');
n=size(data); % imports the inputparameters from the excel-sheet                                                                           
n=n(1);
t=data(1:n-1,11);% stores the values as variables 
I=data(1:n-1,12);
w=data(1:n-1,13);
deltat=data(1:n-1,14);
arealtak=data(1,15);
antalllop=data(1,16);
Lengde=data(1,17);
Bredde=data(1,18);
Volumtak=data(1,19);
nyw=data(1:n-1,20);
jordtype=1;
ksat=data(1:jordtype,1);
por=data(1:jordtype,2);
yf=data(1:jordtype,3);
ya=data(1:jordtype,4);
b=data(1:jordtype,5);
o0=data(1:jordtype,6);
Sp=data(1:jordtype,7);
Kp=data(1:jordtype,8);

for o0=data(1:jordtype,6)
    if isnan(o0)
        o0=0.7*por;% has to be calculated 
    end
end


l=[ksat por yf o0 Sp Kp];
tables={};
infiltrations=zeros(size(l,1),1);
runoffs=zeros(size(l,1),1);
rains=zeros(size(l,1),1);


for j=1:size(l,1)
    ksat(j)=l(j,1);
    por(j)= l(j,2);
    yf(j)=l(j,3);
    o0(j)=l(j,4);
  
    Sp(j)=l(j,5);
    Kp(j)=l(j,6);




m=[t I nyw deltat];%establishing table m
for i=5:14
    m(:,i)=zeros;
end
 


for i=1:size(m,1)%follows the corresponding flowsheet 
    m(1,5)=0;
    m(1,6)=Inf;
    m(1,1)=0;
    
    if i>1
        m(i,5)=m(i-1,13);
    end
    
   if i>1
    m(i,6)=Kp(j)+((Kp(j)*Sp(j))/(sqrt(Sp(j)^2+4*Kp(j)*m(i,5))-Sp(j)));
   end
    
    
    if m(i,6)>m(i,3)
        m(i,7)=m(i,5)+(m(i,3)*m(i,4));
        m(i,8)=Kp(j)+(Kp(j)*Sp(j))/(sqrt(Sp(j)^2+4*Kp(j)*m(i,7))-Sp(j));
        
        if m(i,8)>m(i,3)
            m(i,13)=m(i,7);
        else
            m(i,9)=(Sp(j)^2*(m(i,3)-Kp(j)/2))/(2*(m(i,3)-Kp(j))^2);
            m(i,10)=(m(i,9)-m(i,5))/m(i,3);
            m(i,11)=m(i,1)+m(i,10);
            m(i,12)=m(i,11)-(1/(4*Kp(j)^2))*(sqrt(Sp(j)^2+4*Kp(j)*m(i,9))-Sp(j))^2;
            m(i,13)=(Sp(j)*((m(i,1)+m(i,4))-m(i,12))^0.5)+(Kp(j)*((m(i,1)+m(i,4))-m(i,12)));
         
        end
    else 
        m(i,9)=m(i,5);
        m(i,10)=0;
        m(i,11)=m(i,1);
        m(i,12)=m(i,11)-(1/(4*Kp(j)^2))*(sqrt(Sp(j)^2+4*Kp(j)*m(i,9))-Sp(j))^2;
        m(i,13)=(Sp(j)*(((m(i,1)+m(i,4))-m(i,12))^0.5))+(Kp(j)*((m(i,1)+m(i,4))-m(i,12)));
    end
    m(i,14)=m(i,13)-m(i,5);
    m(i,15)=(m(i,3)*m(i,4))-m(i,14);
    m(i+1,1)=m(i,1)+m(i,4);
end
figure 
infcap=m(:,6);
infiltration=m(:,14);
runoff=m(:,15);
rain=m(:,2);
time=m(:,1);
plot(time,infcap,'color','b')
xlabel ('time(h)')
ylabel ('cm/h')

figure
plot(time,runoff,'color','r')
hold on;
plot (time, infiltration,'color','g')
xlabel('time(h)')
ylabel('cm/h')
tables{j}=m;
infiltrations(j)=sum(infiltration);
runoffs(j)=sum(runoff);
rains(j)=sum(rain);
end
A=[rains infiltrations runoffs];
disp(A)

disp(m)
        